### Method

# GLib AsyncQueue sort_unlocked

since: 2.10

#### Declaration

    void
    g_async_queue_sort_unlocked (
      GAsyncQueue* queue,
      GCompareDataFunc func,
      gpointer user_data
    )

#### Description

Sorts `queue` using `func`.

The sort function `func` is passed two elements of the `queue`. It should return 0 if they are equal, a negative value if the first element should be higher in the `queue` or a positive value if the first element should be lower in the `queue` than the second element.

This function must be called while holding the `queue`‘s lock.

Available since: 2.10

#### Parameters

`func`

  Type: `GCompareDataFunc`

  The `GCompareDataFunc` is used to sort `queue`.

`user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.